%global javaver 1.5
%global hgrev   f24e5cb9a234


# rpmbuild < 4.6 support
%if ! 0%{?__isa_bits}
%ifarch x86_64 ia64 ppc64 sparc64 s390x alpha
%global __isa_bits 64
%else
%global __isa_bits 32
%endif
%endif

%global __provides_exclude_from ^%{_libdir}/%{name}/.*\.so$

# Whether to build docs too - by default this is not done as Cocoon is not
# available in Fedora.  Instead we ship a prebuilt archive of the docs
# (the doc/english dir).
%bcond_with     docs
%global cocoon  cocoon-2.0.4

Name:           java-service-wrapper
Version:        3.2.5
Release:        7%{?dist}
Summary:        Java service wrapper

Group:          Applications/System
License:        BSD
URL:            https://bitbucket.org/ivertex/java-service-wrapper
Source0:        https://bitbucket.org/ivertex/java-service-wrapper/get/release-3_2_5.tar.bz2
Source1:        %{name}.template.init
# this tar has been generated using --with-docs
Source2:        %{name}-%{version}-docs.tar.bz2
%if %{with docs}
Source3:        http://archive.apache.org/dist/cocoon/BINARIES/%{cocoon}-bin.tar.gz
%endif
Patch0:         %{name}-3.2.4-cflags.patch
Patch1:         %{name}-3.2.4-jnilibpath.patch
Patch2:         %{name}-3.2.4-docbuild.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ant-junit
BuildRequires:  ant-nodeps
BuildRequires:  java-devel-openjdk >= %{javaver}
BuildRequires:  java-javadoc >= %{javaver}
Requires:       java >= %{javaver}
ExcludeArch:    ppc ppc64

%description
The Java Service Wrapper enables a Java application to be run as a
Unix daemon.  It also monitors the health of your application and JVM.

%package        javadoc
Summary:        Javadoc API documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils
%if 0%{?fedora} || 0%{?rhel} > 5
BuildArch:      noarch
%endif

%description    javadoc
Javadoc API documentation for %{name}.


%prep
%setup -q -n ivertex-%{name}-%{hgrev}  -a 2
install -pm 644 %{SOURCE1} doc/template.init
%patch0 -p1
sed -e 's|@LIBPATH@|%{_libdir}/%{name}|' %{PATCH1} | %{__patch} -p1 -F 0
%patch2 -p0
%if %{with docs}
mkdir tools ; cd tools
%{__tar} xf %{SOURCE3}
%{__unzip} -q %{cocoon}/cocoon.war ; mv WEB-INF/lib %{cocoon}/
cd ..
%endif


%build
%ant -Dbits=%{__isa_bits} -Djavac.target.version=%{javaver}
%javadoc -sourcepath src/java -d javadoc -link %{_javadocdir}/java -author \
    -windowtitle "Java Service Wrapper API" -doctitle "Java Service Wrapper" \
    -version $(find src/java -name "*.java" -not -path "*/test/*")
%if %{with docs}
rm -r doc/english
%ant -Dbits=%{__isa_bits} doc
%endif


%install
rm -rf $RPM_BUILD_ROOT

install -Dpm 755 bin/wrapper $RPM_BUILD_ROOT%{_sbindir}/java-service-wrapper

install -dm 755 $RPM_BUILD_ROOT%{_libdir}/%{name}
install -pm 755 lib/libwrapper.so $RPM_BUILD_ROOT%{_libdir}/%{name}
install -pm 644 lib/wrapper.jar $RPM_BUILD_ROOT%{_libdir}/%{name}
    
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}
cp -pR javadoc $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc AboutThisRepository.txt doc/
%{_sbindir}/java-service-wrapper
%{_libdir}/%{name}/

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 16 2011 Miroslav Suchy <msuchy@redhat.com> - 3.2.5-6
- move jar file from libdir to javadir

* Fri Aug 12 2011 Miroslav Suchy <msuchy@redhat.com> - 3.2.5-5
- do not obsolete of tanukiwrapper as this is not drop in replacement

* Mon Aug  1 2011 Miroslav Suchy <msuchy@redhat.com> - 3.2.5-4
- exclude ppc arch
- exclude ppc64 arch

* Fri Jul 29 2011 Miroslav Suchy <msuchy@redhat.com> - 3.2.5-2
- 707132 - fix path in jnilibpath.patch

* Mon Jun  6 2011 Miroslav Suchy <msuchy@redhat.com> - 3.2.5-1
- remove Provides
- update to 3.2.5
- revert previous change in applying patch1

* Tue May 24 2011 Miroslav Suchy <msuchy@redhat.com> - 3.2.4-2.20100928hg637f7cc19e33
- add Provides
- removed epoch from BR
- apply patch1 in way, which does not confuse rpmlint

* Fri May 20 2011 Ville Skyttä <ville.skytta@iki.fi> - 3.2.4-1.20100928hg637f7cc19e33
- Complete rework of the old Fedora tanukiwrapper package.
